"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("@heroku-cli/color");
const command_1 = require("@oclif/command");
const cli_ux_1 = require("cli-ux");
class Docs extends command_1.Command {
    async run() {
        const { args } = this.parse(Docs);
        if (args.query) {
            this.log(`Searching Dev Center for ${color_1.default.magenta(args.query)}...`);
            cli_ux_1.default.open(`https://devcenter.heroku.com/search?q=${args.query}`);
        }
        else {
            this.log('Opening Dev Center...');
            cli_ux_1.default.open('https://devcenter.heroku.com');
        }
    }
}
Docs.description = 'opens the Heroku Dev Center';
Docs.examples = [
    `$ heroku docs
Opening Dev Center in your default browser...
`,
];
Docs.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
Docs.args = [{ name: 'query' }];
exports.default = Docs;
